Skip to main content

Activity Services

Resources​

  • /sightseeing
  • /bookings/\{bookingId\}/sightseeing

Methods​

  • GET
  • POST
  • PATCH

Summary of changes​

The term “Sightseeing” has been replaced by “Activities” in all aspects of our API. All references to sightseeing have therefore been renamed or removed

Booked activities can no longer be fetched by requesting GET /sightseeing/{id} OR GET /bookings/{bookingId}/sightseeing and instead are retrievable via GET /bookings/{bookingId}/activities

Several field names have been updated. See response changes for a list of fields and their counterparts in the GET /bookings/{bookingId}/activities endpoints of the Partner API

Several fields have been removed from the GET /bookings/{bookingId}/activities response. See removed fields section for full details.

Request body changes​

Lists all request body parameters that can be set on a POST or PATCH to the activity booking resource, and their corresponding parameters in the Partner API.

DescriptionPublic APIPartner APITypeNotes
Start date of the activity *Set the start date as day 1 of the related departure. Local Ops will book in and update *the actual date required.startDatestartDatestringNo change, cannot be updated
End date of the activity Set the end date as* the** last day of the related departure. Local Ops will book in** and update** the actual date required.*endDateendDatestringNo change, cannot be updated
Customers *Set which customers on the booking will be participating in this *activitycustomers.href e.g. "href": "/bookings/5057124/customers/4945397"customers.id"customers": [ { "id": "string", } ]Retrieve the customer id from /bookings/{id}/customers
Activity identifier** Set the unique ID of the activity product you wish to bookproduct.href e.g. "href": "/products/91066"activityIdstringRetrieve the id from GET /activities
External Reference Used to prevent duplicate entries by checking the external reference doesn’t already exist on the booking* component*externalReferenceexternalReferencestringNo change, cannot be updated

Request query parameter changes​

No query parameters are supported for booked activities in both Public API and Partner API.

Response Changes​

DescriptionPublic APIPartner APIType
Booked activity identifier** *Unique identifier for this activity on a booking. Note: this is different from the activity id retrieved from GET /*activitiesididstring
Activity booking resource link *Direct API endpoint reference to this **booked *activityhrefhrefstring
Activity name and reference Details of the activity booking including name and href to the original activity product * *product.href sightseeingNameproduct.href namestring
Start date of the activity Date* and time** w**hen *the activity will beginstartDate/startTimestartDatestring
End date of the activity Date when the activity will endfinishDatefinishDatestring
Starting point of the activity Shows the location where the activity will beginstartingPointstartingPointstring
Finishing point of the activity Shows the location where the activity will finishfinishingPointfinishingPointstring
**City ** Where the activity takes placecitycitystring
Duration of the activity** How many days will this activity take placedurationdurationinteger
Currency of the activity on the booking Currency of the activity should match the* overall booking currency***currencycurrencystring
Prices *Full details of the total activity price and price after commission (e.g. net price) ** ***totalPrice netPricetotalPrice netPricedecimals
Booked customers Customer that are booked on this componentcustomers customerStatuses customerStatusIdscustomers customerStatuses customerStatusIds{ "customerStatusIds": [ { "customers": [ { "href": "/bookings/:bookingId/customers/:customerId", "optionExpiresAt": "string" } ], "status": "confirmed" } ], "customerStatuses": { "cancelled": 0, "confirmed": 1, "quote": 1 }, "customers": { "href": "/bookings/12345/customers" } }

Current request (deprecated)​

Booked optional activities were embedded on the booking as "sightseeing" line items with no dedicated resource.

Updated request​

Booked activities are now a distinct sub-resource with per-customer pricing.

GET https://api.partners.intrepidtravel.cloud/bookings/{bookingId}/activity-services

{
"id": "svc_1234",
"href": "/activity-services/svc_1234",
"type": "ACTIVITY",
"status": "Confirmed",
"booking": { "id": "booking_1234", "href": "/bookings/booking_1234" },
"customers": ["cust_001", "cust_002"],
"pricingSummary": {
"currency": "USD",
"amountBase": 1000,
"amountDiscounted": 100,
"amountTotal": 900,
"amountPaid": 900,
"amountOwing": 0
},
"cancellationPolicyRule": {
"id": "rule_1234",
"href": "/cancellation-policies/5678/rules/rule_1234"
}
}

Removed fields​

Removed FieldsPublic APINotesRelevant Field (if applicable)
Removedsequence
RemovedexternalReference
RemovedisUrbanAdventure